Bug 120541 - strace misses handling of some MSG_ flags
Summary: strace misses handling of some MSG_ flags
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-10 08:10 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 23:26:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add support for missing MSG_ flags (501 bytes, patch)
2004-04-10 08:11 UTC, Ulrich Drepper
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:338 normal SHIPPED_LIVE Updated strace package 2004-09-01 04:00:00 UTC

Description Ulrich Drepper 2004-04-10 08:10:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040409

Description of problem:
strace misses support for some of the network flags used, e.g., in the
4th parameter of recv().  I'll attach a patch.

Version-Release number of selected component (if applicable):
strace-4.5.2-1.1

How reproducible:
Always

Steps to Reproduce:
1.strace code which uses recv() with the MSG_NOSIGNAL flag
2.
3.
    

Actual Results:  Printed as 0x4000

Expected Results:  Printed with symbol name.

Additional info:

Comment 1 Ulrich Drepper 2004-04-10 08:11:19 UTC
Created attachment 99294 [details]
Patch to add support for missing MSG_ flags

Comment 2 Roland McGrath 2004-04-16 22:01:53 UTC
Fixed upstream.

Comment 3 Jay Turner 2004-09-02 03:32:26 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-338.html



Note You need to log in before you can comment on or make changes to this bug.